import LayoutMain from '@/framework/layout/Main'
import Index from '@/views/index'
import auth from '@/views/system/auth'
import noUser from '@/views/system/nouser'
//集团管理
import manageGroup from '@/views/manage/group'
//项目管理
import manageProject from '@/views/manage/project'
//集团字典
import groupDictionaries from '@/views/group'
//项目字典
import projectDictionaries from '@/views/project'
//变更审核
import record from '@/views/record'

export default [
  {
    path: '/',
    name: '',
    component: LayoutMain,
    children: [
      {path: '', name: 'blank', component: Index},
    ]
  },
  {path: '/auth', name: 'auth', component: auth},
  {path: '/noUser', name: 'noUser', component: noUser},
  {
    path: '/manage',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [
      {
        path: 'group',
        name: 'manageGroup',
        component: manageGroup,
        meta: {keepAlive: false, breadcrumbs: [{label: '集团管理'}]}
      },
      {
        path: 'project',
        name: 'manageProject',
        component: manageProject,
        meta: {keepAlive: false, breadcrumbs: [{label: '项目管理'}]}
      },
    ]
  },
  {
    path: '/project',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [
      {
        path: '/group',
        name: 'groupDictionaries',
        component: groupDictionaries,
        meta: {keepAlive: false, breadcrumbs: [{label: '集团字典'}]}
      },

    ]
  },
  {
    path: '/project',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [
      {
        path: '/project',
        name: 'projectDictionaries',
        component: projectDictionaries,
        meta: {keepAlive: false, breadcrumbs: [{label: '项目字典'}]}
      },

    ]
  }, {
    path: '/project',
    name: 'LayoutMain',
    component: LayoutMain,
    children: [
      {
        path: '/record',
        name: 'record',
        component: record,
        meta: {keepAlive: false, breadcrumbs: [{label: '变更审核'}]}
      },


    ]
  },
]
